package com.yeejoin.amos.patrol.business.param;

import com.yeejoin.amos.patrol.core.common.request.CommonPageable;

import java.util.List;

public class InputItemPageParam extends CommonPageable{


	//检查项名称
	private String name;
	//检查项等级
	private String level;
	//检查项编号
	private String itemNo;
    //机场单位code
	private String bizOrgCode;

	//平台code
	private String orgCode;
	private int catalogId;
	private String isScore;
	private String itemType;
	private List<Long> catalogIds;

	private Integer inhierarchy;

	private String subCode;

	public String getIds() {
		return ids;
	}

	public void setIds(String ids) {
		this.ids = ids;
	}

	private String ids;

	public Integer getInhierarchy() {
		return inhierarchy;
	}

	public void setInhierarchy(Integer inhierarchy) {
		this.inhierarchy = inhierarchy;
	}

	public String getSubCode() {
		return subCode;
	}

	public void setSubCode(String subCode) {
		this.subCode = subCode;
	}

	//查询页面左侧树ID
	private String treeId;

	public String getTreeId() {
		return treeId;
	}

	public void setTreeId(String treeId) {
		this.treeId = treeId;
	}

	public String getBizOrgCode() {
		return bizOrgCode;
	}

	public void setBizOrgCode(String bizOrgCode) {
		this.bizOrgCode = bizOrgCode;
	}

	public String getItemNo() {
		return itemNo;
	}
	public void setItemNo(String itemNo) {
		this.itemNo = itemNo;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public int getCatalogId() {
		return catalogId;
	}
	public void setCatalogId(int catalogId) {
		this.catalogId = catalogId;
	}
	public String getIsScore() {
		return isScore;
	}
	public void setIsScore(String isScore) {
		this.isScore = isScore;
	}
	public String getItemType() {
		return itemType;
	}
	public void setItemType(String itemType) {
		this.itemType = itemType;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOrgCode() {
		return orgCode;
	}
	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}

	public List<Long> getCatalogIds() {
		return catalogIds;
	}

	public void setCatalogIds(List<Long> catalogIds) {
		this.catalogIds = catalogIds;
	}
}
